Bug 658311 - ltrace doesn't "know" about memmove()
Summary: ltrace doesn't "know" about memmove()
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ltrace
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Petr Machata
QA Contact: Fedora Extras Quality Assurance
URL: http://lists.fedoraproject.org/piperm...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-29 23:39 UTC by Nalin Dahyabhai
Modified: 2015-05-05 01:35 UTC (History)
2 users (show)

Fixed In Version: ltrace-0.5-18.45svn.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-23 19:57:11 UTC


Attachments (Terms of Use)

Description Nalin Dahyabhai 2010-11-29 23:39:56 UTC
Description of problem:
When I ltrace a test program that calls memmove(), calls to memmove() aren't shown with the right number of arguments.

Version-Release number of selected component (if applicable):
ltrace-0.5-17.45svn.fc15.x86_64

How reproducible:
Always

Steps to Reproduce:
1. cat > memmove.c << EOF
#include <string.h>
int
main(int argc, char **argv)
{
	char src[] = "Source.", target[512];
	memmove(target, src, strlen(src) + 1);
	return 0;
}
EOF
2. cc -g3 -o memmove memmove.c
3. ltrace ./memmove
  
Actual results:
strlen("Source.")                                = 7
memmove(0x7fffe02db990, 0x7fffe02dbb90, 8, 0x7fffe02dbb90, 0x7f0220bf25e0) = 0x7fffe02db990

Expected results:
strlen("Source.")                                = 7
memmove(0x7fff00cb7410, "Source.", 8)            = 0x7fff00cb7410

Additional info:
Adding "addr memmove(addr,string3,ulong);" to /etc/ltrace.conf appears to produce the right result.

Comment 1 Fedora Update System 2010-12-09 11:48:43 UTC
ltrace-0.5-18.45svn.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ltrace-0.5-18.45svn.fc14

Comment 2 Fedora Update System 2010-12-09 21:59:52 UTC
ltrace-0.5-18.45svn.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ltrace'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ltrace-0.5-18.45svn.fc14

Comment 3 Fedora Update System 2010-12-23 19:57:06 UTC
ltrace-0.5-18.45svn.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.